X Display Attributes

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions
X Display Attributes
Ecore » Ecore_X - X11 Integration

Functions that set and retrieve X display attributes. More...

## Functions
Ecore_X_Screen * | ecore_x_default_screen_get (void)
| Retrieves the Ecore_X_Screen handle used for the current X connection. More...
Ecore_X_Display * | ecore_x_display_get (void)
| Retrieves the Ecore_X_Display handle used for the current X connection. More...
int | ecore_x_fd_get (void)
| Retrieves the X display file descriptor. More...
void | ecore_x_screen_size_get (const Ecore_X_Screen *screen, int *w, int *h)
| Retrieves the size of an Ecore_X_Screen. More...
int | ecore_x_screen_count_get (void)
| Retrieves the count of screens. More...
int | ecore_x_screen_index_get (const Ecore_X_Screen *screen)
| Retrieves the index number of the given screen. More...
Ecore_X_Screen * | ecore_x_screen_get (int idx)
| Retrieves the screen based on index number. More...
void | ecore_x_double_click_time_set (double t)
| Sets the timeout for a double and triple clicks to be flagged. More...
double | ecore_x_double_click_time_get (void)
| Retrieves the double and triple click flag timeout. More...

## Detailed Description

Functions that set and retrieve X display attributes.

## Function Documentation

Ecore_X_Screen* ecore_x_default_screen_get | ( | void |  | ) |

Retrieves the Ecore_X_Screen handle used for the current X connection.

Returns
  The current default screen.

Ecore_X_Display* ecore_x_display_get | ( | void |  | ) |

Retrieves the Ecore_X_Display handle used for the current X connection.

Returns
  The current X display.

int ecore_x_fd_get | ( | void |  | ) |

Retrieves the X display file descriptor.

Returns
  The current X display file descriptor.

void ecore_x_screen_size_get | ( | const Ecore_X_Screen * | screen,
|  | int * | w,
|  | int * | h
| ) |  |

Retrieves the size of an Ecore_X_Screen.

Parameters

  screen | the handle to the screen to query.
  w | where to return the width. May be NULL. Returns 0 on errors.
  h | where to return the height. May be NULL. Returns 0 on errors.

See also
  ecore_x_default_screen_get()

Since
  1.1

int ecore_x_screen_count_get | ( | void |  | ) |

Retrieves the count of screens.

Retrieves the number of screens.

Returns
  The count of screens.

Since
  1.1

Returns
  The count of the number of screens.

Since
  1.1

Referenced by ecore_x_window_root_list().

int ecore_x_screen_index_get | ( | const Ecore_X_Screen * | screen | ) |

Retrieves the index number of the given screen.

Parameters

  screen | The screen for which index will be gotten.

Returns
  The index number of the screen.

Since
  1.1

Parameters

  screen | The screen for which the index will be retrieved.

Returns
  The index number of the screen.

Since
  1.1

Referenced by ecore_x_sync().

Ecore_X_Screen* ecore_x_screen_get | ( | int | idx | ) |

Retrieves the screen based on index number.

Parameters

  idx | The index that will be used to retrieve the screen.

Returns
  The Ecore_X_Screen at this index.

Since
  1.1

Referenced by ecore_x_randr_screen_reset().

void ecore_x_double_click_time_set | ( | double | t | ) |

Sets the timeout for a double and triple clicks to be flagged.

This sets the time between clicks before the double_click flag is set in a button down event. If 3 clicks occur within double this time, the triple_click flag is also set.

Parameters

  t | The time in seconds

double ecore_x_double_click_time_get | ( | void |  | ) |

Retrieves the double and triple click flag timeout.

See ecore_x_double_click_time_set for more information.

Returns
  The timeout for double clicks in seconds.

References ECORE_CALLBACK_CANCEL, ECORE_CALLBACK_RENEW, ecore_event_shutdown(), ecore_idle_enterer_del(), ecore_main_fd_handler_del(), ecore_shutdown(), eina_log_domain_unregister(), eina_shutdown(), and EINA_UNUSED.